#
# spec file for package python-ttp-templates
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ttp-templates
Version:        0.3.6
Release:        1.2
Summary:        Template Text Parser Templates collections
License:        MIT
URL:            https://github.com/dmulyalin/ttp_templates
Source:         https://github.com/dmulyalin/ttp_templates/archive/refs/tags/%{version}.tar.gz#/ttp_templates-%{version}.tar.gz
BuildRequires:  %{python_module netmiko}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module ttp}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This repository contains a collection of [TTP](https://github.com/dmulyalin/ttp) templates.

%prep
%autosetup -p1 -n ttp_templates-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
cp -r ttp_templates/misc/{N,n}etmiko
pushd test
# not python-yangson package
donttest="test_yang_ietf_interfaces"
%pytest -k "not ($donttest)"
popd

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/ttp_templates
%{python_sitelib}/ttp_templates-%{version}*-info

%changelog
* Sat Jan 20 2024 Dirk Müller <dmueller@suse.com>
- update to 0.3.6:
  * Updated Juniper and Arista Netbox templates, added Cisco NX-
    OS and Opengear Netbox templates.
- update to 0.3.5:
  * Minor template and doc fixes.
- update to 0.3.4:
  * CHANGES
* Wed Dec 14 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro defintion
- More specific python_sitelib in %%files
* Tue Dec 13 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.3.2
  * Added misc/Netbox folder with templates for Junos, IOS-XR and Arista devices configuration
* Fri Oct 21 2022 Daniel Garcia <daniel.garcia@suse.com>
- Use github source to get tests
- Build with %%pyproject macros
- Run tests correctly
* Fri Jul 22 2022 Markéta Machová <mmachova@suse.com>
- Initial packaging (v0.3.1) needed by python-napalm
